# Uses of Class
jdk.management.jfr.RecordingInfo

Packages that use RecordingInfo
Package
Description
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of RecordingInfo in jdk.management.jfr

Methods in jdk.management.jfr that return RecordingInfo
Modifier and Type
Method
Description
`static RecordingInfo`
RecordingInfo.`from(CompositeData cd)`
Returns a `RecordingInfo` represented by the specified `CompositeData` object.
Methods in jdk.management.jfr that return types with arguments of type RecordingInfo
Modifier and Type
Method
Description
`List<RecordingInfo>`
FlightRecorderMXBean.`getRecordings()`
Returns the list of available recordings, not necessarily running.